# MongoDB\Driver\Server::getHost

(mongodb >=1.0.0)

MongoDB\Driver\Server::getHost — Returns the hostname of this server

### Description

final public MongoDB\Driver\Server::getHost ( void ) : string

Returns the hostname of this server.

### Parameters

This function has no parameters.

### Return Values

Returns the hostname of this server.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\Server::getHost() example

`<?php
$manager = new MongoDB\Driver\Manager("mongodb://localhost:27017/");
$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_PRIMARY);
$server = $manager->selectServer($rp);
var_dump($server->getHost());
?>`

The above example will output:

    string(9) "localhost"

### See Also

- MongoDB\Driver\Server::getInfo() - Returns an array of information about this server